var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import ConfigProvider from '../config-provider';
import React, { Component } from 'react';
import cls from 'classnames';
import { Avatar as NextAvatar } from '@alifd/next';
class AvatarGroup extends Component {
    render() {
        const { children, prefix = 'next-' } = this.props;
        return (React.createElement("div", { className: `${prefix}avatar-group` }, children));
    }
}
class Avatar extends Component {
    render() {
        const _a = this.props, { prefix = 'next-', size, className } = _a, otherProps = __rest(_a, ["prefix", "size", "className"]);
        return (React.createElement(NextAvatar, Object.assign({ size: size, className: cls(className, {
                [`${prefix}avatar-xl`]: size === 'xl',
            }) }, otherProps)));
    }
}
Avatar.Group = ConfigProvider.config(AvatarGroup);
export default ConfigProvider.config(Avatar);
